#!/bin/bash

cd /home/develop/BD/

if ! [ -z "$(find all_containers/ -maxdepth 0 -type d -empty)" ]; then
    echo "no containers"
    exit
fi

# Перебираем все файлы *.conf в текущей директории
for file in all_containers/*; do
    # # Извлекаем имя контейнера из имени файла
    container_name=$(basename "$file" .yml)

    echo "$container_name"

    # # Запускаем скрипт python3 expired_check.py для текущего контейнера
    output=$(python3 scripts/check_if_in_db.py "$container_name")
    # # Проверяем, что вывод скрипта пустой
    if [ -z "$output" ]; then
        ./scripts/delete_container.sh "$container_name"
    else
        echo "everything is good for $container_name"
    fi
done

./scripts/docker_compose.sh